<?php
/* daCode http://www.dacode.org
 * htdocs/pda/news.php3
 * Jerome Kerdreux <jerome.kerdreux@finix.eu.org>
 * ripped from wap code by 
 * Fabien Penso <penso@linuxfr.org>
 * $Id: news.php3,v 1.5 2001/07/17 20:08:03 barbier Exp $
 *
 * This is used to make a Palm/Avantgo version
*/
	$topdir = '..';
	require $topdir."/dacode.php3";

	if (empty($news_id)) {
		exit;
	}

	$news = LoadClass('News');


	echo "<html><head>";
	echo "<meta http-equiv=\"Cache-Control\" content=\"max-age=0\"/>";
	echo "<title>",$config->name," - Mobile</title>";
	echo "</head><body>";


	$tmp = $news->get_news(1,0,0,1,1,$news_id,1,0);

	if (gettype($tmp) == "array") {

		while(current($tmp)) {
			$cur = current($tmp);

			echo "<p align=\"center\"><b><u>$cur[title]</u></b></p>\n";
			echo "<p align=\"left\"><small>$cur[body]</small></p>\n";


			next($tmp);
		}
	}

	echo "<p align=\"center\">\n";
	echo "<a href=\"./\">".lecho("back")."</a>\n";
	echo "</p>\n\n";

	echo "</body></html>\n";

?>
